# PetscObjectSetIntstarComposedData

attach integer array data to a PetscObject

### Synopsis

    PetscErrorCode PetscObjectSetIntstarComposedData(PetscObject obj,int id,int *data)

Not collective

### Input parameters

| obj | - the object to which data is to be attached
| id | - the identifier for the data
| data | - the data to be attached

### Notes

This routine does not return an error code; any errors are handled internally.

Level:developer
Location:include/petschead.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages